com.qualcomm.robotcore.hardware

## Class PWMOutputImplEx

- java.lang.Object
- - com.qualcomm.robotcore.hardware.PWMOutputImpl
  - - com.qualcomm.robotcore.hardware.PWMOutputImplEx

- All Implemented Interfaces:
    HardwareDevice, PWMOutput, PWMOutputEx

      public class PWMOutputImplEx
      extends PWMOutputImpl
      implements PWMOutputEx

  Created by bob on 2016-03-12.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.qualcomm.robotcore.hardware.HardwareDevice

      `HardwareDevice.Manufacturer`

  - ### Field Summary

    - ### Fields inherited from class com.qualcomm.robotcore.hardware.PWMOutputImpl

      `controller, port`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PWMOutputImplEx(PWMOutputController controller, int port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPwmEnabled()`
    `void` | `setPwmDisable()`
    `void` | `setPwmEnable()`

    - ### Methods inherited from class com.qualcomm.robotcore.hardware.PWMOutputImpl

      `close, getConnectionInfo, getDeviceName, getManufacturer, getPulseWidthOutputTime, getPulseWidthPeriod, getVersion, resetDeviceConfigurationForOpMode, setPulseWidthOutputTime, setPulseWidthPeriod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PWMOutputImplEx

          public PWMOutputImplEx(PWMOutputController controller,
                                 int port)

  - ### Method Detail

    - #### setPwmEnable

          public void setPwmEnable()

      Specified by:
        `setPwmEnable` in interface `PWMOutputEx`

    - #### setPwmDisable

          public void setPwmDisable()

      Specified by:
        `setPwmDisable` in interface `PWMOutputEx`

    - #### isPwmEnabled

          public boolean isPwmEnabled()

      Specified by:
        `isPwmEnabled` in interface `PWMOutputEx`